SmapUtil (Apache Tomcat 8.5.89 API Documentation)

Package org.apache.jasper.compiler

## Class SmapUtil

- java.lang.Object
- - org.apache.jasper.compiler.SmapUtil

-     public class SmapUtil
      extends java.lang.Object

  Contains static utilities for generating SMAP data based on the current version of Jasper.
  Author:
    Jayson Falkner, Shawn Bayern, Robert Field (inner SDEInstaller class), Mark Roth, Kin-man Chung

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SmapUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `evaluateNodes​(org.apache.jasper.compiler.Node.Nodes nodes, SmapStratum s, java.util.HashMap<java.lang.String,​SmapStratum> innerClassMap, boolean breakAtLF)` |
    `static java.lang.String[]` | `generateSmap​(JspCompilationContext ctxt, org.apache.jasper.compiler.Node.Nodes pageNodes)` | Generates an appropriate SMAP representing the current compilation context.
    `static void` | `installSmap​(java.lang.String[] smap)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SmapUtil

          public SmapUtil()

  - ### Method Detail

    - #### generateSmap

          public static java.lang.String[] generateSmap​(JspCompilationContext ctxt,
                                                        org.apache.jasper.compiler.Node.Nodes pageNodes)
                                                 throws java.io.IOException

      Generates an appropriate SMAP representing the current compilation context. (JSR-045.)
      Parameters:
        `ctxt` - Current compilation context
        `pageNodes` - The current JSP page
      Returns:
        a SMAP for the page
      Throws:
        `java.io.IOException` - Error writing SMAP

    - #### installSmap

          public static void installSmap​(java.lang.String[] smap)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### evaluateNodes

          public static void evaluateNodes​(org.apache.jasper.compiler.Node.Nodes nodes,
                                           SmapStratum s,
                                           java.util.HashMap<java.lang.String,​SmapStratum> innerClassMap,
                                           boolean breakAtLF)